# Enum Severity

java.lang.Object
java.lang.Enum<Severity>
org.gradle.api.problems.Severity

All Implemented Interfaces:
  `Serializable, Comparable<Severity>, Constable`

@Incubating public enum Severity extends Enum<Severity>
A problem severity.

Since:
  8.4

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADVICE`
  Deprecated.
  Only kept for backward compatibility.
  `ERROR`
  Error-level severity, for problems that will fail the build.
  `WARNING`
  Warning-level severity, for problems that won't fail the build.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static Severity`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Severity[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADVICE

    @Deprecated public static final Severity ADVICE
    Deprecated.
    Only kept for backward compatibility. Will be removed in Gradle 10.0.
    Advice-level severity.
    Since:
      8.4

  - ### WARNING

    public static final Severity WARNING
    Warning-level severity, for problems that won't fail the build.
    Since:
      8.4

  - ### ERROR

    public static final Severity ERROR
    Error-level severity, for problems that will fail the build.
    Since:
      8.4

- ## Method Details

  - ### values

    public static Severity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Severity valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Severity>`